EndpointsLeagues
Get campaign history
GET
/v2/leagues/{league_id}/campaign/historyReturn one player's battles, territory transfers, and territory totals in the retained window.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Path Parameters
league_id*League Id
League whose campaign history should be searched.
Match
^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Query Parameters
player_id*Player Id
Campaign player whose history should be returned.
Match
^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$rounds?|
Most recent retained rounds to include.
curl -X GET "https://example.com/v2/leagues/string/campaign/history?player_id=string"{ "league_id": "string", "player_id": "string", "round": 0, "battles": [ { "round": 0, "round_id": "string", "kind": "invade", "mode": "1v1", "role": "attacker", "target": "string", "source": "string", "staked": false, "outcome": "claimed", "result": "won", "winner": "string", "opponents": [ "string" ], "allies": [ "string" ], "episode_ids": [ "string" ], "replay_urls": [ "string" ] } ], "transfers": [ { "round": 0, "cell": "string", "from_player": "string", "to_player": "string", "why": "claim" } ], "territory": [ { "round": 0, "cells": 0 } ], "head_to_head": { "property1": { "wins": 0, "losses": 0 }, "property2": { "wins": 0, "losses": 0 } }, "names": { "property1": "string", "property2": "string" }}